# value

abstract fun value(): String

The optional name of the service which the annotated element references.

In case a service name is provided, if a shared build service is registered with that name, a provider to the service will be automatically assigned to the property.

If a shared build service with the specified name is not found, and no value or convention is explicitly set on the property:

- if the property is optional, an exception will only occur if an attempt is made to obtain the value of the property (see get);
- if the property is mandatory, before the task starts executing, a validation error will be issued.

#### See also

Optional
Property